"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _core = require("./consts/core");

var _delimeter = require("./consts/delimeter");

var _string = require("./utils/string");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Delimeter = function Delimeter(_ref) {
  var value = _ref.value,
      className = _ref.className;
  return _react.default.createElement("span", {
    className: (0, _string.skipEmptyClassNames)([_delimeter.DELIMETER, className])
  }, value);
};

Delimeter.defaultProps = {
  className: _core.EMPTY,
  value: _delimeter.DEFAULT_DELIMETER
};
Delimeter.propTypes = {
  className: _propTypes.default.string,
  value: _propTypes.default.any
};
var _default = Delimeter;
exports.default = _default;